#---------------------------------------------------------------------------
#
#   SuPy GUI - TextField - Cocoa
#
#---------------------------------------------------------------------------

from AppKit import NSTextField
from g_text_field import GTextField

class TextField(GTextField):

	def __init__(self, text = "", **kwds):
		frame = ((0, 0), (10, 10))
		ns = NSTextField.alloc().initWithFrame_(frame)
		GTextField.__init__(self, _ns_view = ns)
		if isinstance(kwds.get('width'), str):
			width = kwds.pop('width')
			ns.setStringValue_(width)
			ns.sizeToFit()
		else:
			ns.sizeToFit()
			self.width = 100
		ns.setStringValue_(text)
		self.set(**kwds)

	def get_text(self):
		return self._ns_view.stringValue()
	
	def set_text(self, x):
		self._ns_view.setStringValue_(x)
